import { Component } from '@angular/core';
import { FormsModule } from '@angular/forms';

@Component({
  selector: 'app-first',
  standalone: true,
  imports: [FormsModule],
  templateUrl: './first.component.html',
  styleUrl: './first.component.css'
})
export class FirstComponent {

  var_one="Welcome to Angular From Ashok IT";

  userName:string="";
  firstName:string="";
  lastName:string="";
  email:string="";

  dateString:string="";

  controlFlag:boolean=true;

  guestName:string="Ashok";

  constructor(){
    this.userName="ashokit";
    this.firstName="Ashok";
    this.lastName="IT";
    this.email="support@ashokit.com"

    setInterval (  () =>{
    let currentDate=new Date();
    this.dateString=currentDate.toDateString() +  " " + currentDate.toLocaleTimeString();
    this.controlFlag=Math.random() > 0.5 ?  true : false;
    },1000
    )

  }

  getUserName():string{
    return this.userName;
  }
  getFirstName():string{
    return this.firstName;
  }
  getLastName():string{
    return this.lastName;
  }
  getEmail():string{
    return this.email;
  }

  updateName(empName:string){
    this.userName=empName;
  }
}

